## org.eclipse.datatools.sqltools.sqlbuilder.model
Interface IControlStateInfo

All Known Implementing Classes:
  ControlStateInfo

    public interface IControlStateInfo

The interface defines the UI state of a section control in the SQL Query Builder.

Field Summary
`static int` `CONTROL_STATE_UNKNOWN_VALUE` Constant for an unknown value of a control state attribute
`static int` `DESIGN_CONTROL`
`static int` `GRAPHICAL_CONTROL`
`static int` `OUTLINE_CONTROL`
`static int` `SOURCE_CONTROL` Constants for the control types

Method Summary
`int` `getControlType()` Returns the type of section control for this state information.
`int` `getHeight()` Returns the height of the control.
`int` `getWidth()` Returns the width of the control.
`boolean` `isHideable()` Indicates whether the UI option should be present to hide or restore the control.
`boolean` `isVisible()` Indicates the visibility state of the control.
`void` `setControlType(int controlType)` Sets the type of section control for this state information.
`void` `setHeight(int height)` Sets the height of the control.
`void` `setIsHideable(boolean isHideable)` Sets whether the UI option should be present to hide or restore the control.
`void` `setIsVisible(boolean isVisible)` Sets the visibility state of the control.
`void` `setWidth(int width)` Sets the width of the control.

Field Detail

### SOURCE_CONTROL

    static final int SOURCE_CONTROL

  Constants for the control types

  See Also:
    Constant Field Values

### GRAPHICAL_CONTROL

    static final int GRAPHICAL_CONTROL

See Also:
  Constant Field Values

### OUTLINE_CONTROL

    static final int OUTLINE_CONTROL

See Also:
  Constant Field Values

### DESIGN_CONTROL

    static final int DESIGN_CONTROL

See Also:
  Constant Field Values

### CONTROL_STATE_UNKNOWN_VALUE

    static final int CONTROL_STATE_UNKNOWN_VALUE

  Constant for an unknown value of a control state attribute

  See Also:
    Constant Field Values

Method Detail

### getControlType

    int getControlType()

  Returns the type of section control for this state information.

  Returns:
    An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `SOURCE_CONTROL`.

### setControlType

    void setControlType(int controlType)

  Sets the type of section control for this state information.

  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `SOURCE_CONTROL`.

### getHeight

    int getHeight()

  Returns the height of the control.

  Returns:
    the control height; or `CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setHeight

    void setHeight(int height)

  Sets the height of the control.

  Parameters:
    `height` -

### getWidth

    int getWidth()

  Returns the width of the control.

  Returns:
    the control width; or `CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setWidth

    void setWidth(int width)

  Sets the width of the control.

  Parameters:
    `width` -

### isVisible

    boolean isVisible()

  Indicates the visibility state of the control.

  Returns:
    true if the control is visible; false otherwise. Default value is true.

### setIsVisible

    void setIsVisible(boolean isVisible)

  Sets the visibility state of the control.

  Parameters:
    `isVisible` - true if the control is visible; false otherwise

### isHideable

    boolean isHideable()

  Indicates whether the UI option should be present to hide or restore the control.

  Returns:
    true if the UI option to hide or restore the control should be present; false otherwise. Default value is true.

### setIsHideable

    void setIsHideable(boolean isHideable)

  Sets whether the UI option should be present to hide or restore the control.

  Parameters:
    `isHideable` - true if the UI option to hide or restore the control should be present; false otherwise.